#ifndef PCE_VIDEO_H
#define PCE_VIDEO_H

#include "pce.h"

#define	WIDTH	(352+64)
#define	HEIGHT	256

enum _VDC_REG {
	MAWR,MARR,VWR,vdc3,vdc4,CR,RCR,BXR,
	BYR,MWR,HSR,HDR,VPR,VDW,VCR,DCR,
	SOUR,DISTR,LENR,SATB};

#define	VDC_DS	0x08
#define	VDC_DV	0x10
#define	VDC_VD	0x20

#define	VDC_DMAfinish	VDC_DV
#define	VDC_SATBfinish	VDC_DS

#define	ScrollX	io.VDC[BXR].W
#define	ScrollY	io.VDC[BYR].W

#define MinLine	io.minline
#define MaxLine io.maxline

//extern byte XBuf[HEIGHT * WIDTH];

extern bool scale_to_fit;

extern byte Pal[512];
extern int ScrollYDiff;
extern int	oldScrollX;
extern int	oldScrollY;
extern int	oldScrollYDiff;
extern int scroll;

extern int scanline, prevline;
extern byte *vchange, *vchanges;
extern byte *VRAM;

void init_video();
void reset_video();
void trash_video();

int CheckSprites(void);
void RefreshLine(int Y1,int Y2);
void RefreshSprite(int Y1,int Y2);
void RefreshScreen();

int draw_scanline();

#endif
